getprotobyname
getservbyname
Network Functions
PHP Manual

# getprotobynumber

Get protocol name associated with protocol number

### Description

string getprotobynumber ( int `$number` )

getprotobynumber returns the protocol name associated with protocol `number` as per /etc/protocols.

### Parameters

`number`

  The protocol number.

### Return Values

Returns the protocol name as a string, or `FALSE` on failure.

### See Also

- getprotobyname